Update recipient
curl --request PUT \
--url https://qa-api.endl.xyz/api/v0/recipients/{userId} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'X-API-SECRET: <api-key>' \
--data '
{
"id": "d4e5f6a7-8b9c-4d0e-1f2a-3b4c5d6e7f80",
"alias": "Acme Corp (updated)"
}
'import requests
url = "https://qa-api.endl.xyz/api/v0/recipients/{userId}"
payload = {
"id": "d4e5f6a7-8b9c-4d0e-1f2a-3b4c5d6e7f80",
"alias": "Acme Corp (updated)"
}
headers = {
"X-API-KEY": "<api-key>",
"X-API-SECRET": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-API-KEY': '<api-key>',
'X-API-SECRET': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({id: 'd4e5f6a7-8b9c-4d0e-1f2a-3b4c5d6e7f80', alias: 'Acme Corp (updated)'})
};
fetch('https://qa-api.endl.xyz/api/v0/recipients/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "Recipient updated",
"status": "SUCCESS",
"data": {},
"errors": []
}{
"code": 400,
"message": "Validation failed",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "must not be blank",
"field": "sourceAmount"
}
]
}{
"code": 400,
"message": "Validation failed",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "must not be blank",
"field": "sourceAmount"
}
]
}{
"code": 400,
"message": "Validation failed",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "must not be blank",
"field": "sourceAmount"
}
]
}{
"code": 400,
"message": "Validation failed",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "must not be blank",
"field": "sourceAmount"
}
]
}{
"code": 400,
"message": "Validation failed",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "must not be blank",
"field": "sourceAmount"
}
]
}{
"code": 400,
"message": "Validation failed",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "must not be blank",
"field": "sourceAmount"
}
]
}Recipients
Update recipient
Updates a recipient. Include the recipient’s id in the body; omitted fields are left unchanged.
PUT
/
api
/
v0
/
recipients
/
{userId}
Update recipient
Authorizations
Your partner API key.
Your partner API secret.
Path Parameters
Identifier of the end user the resource belongs to.
Example:
"8f14e45f-ceea-467a-9a3f-1b2c0d4e5f60"
Body
application/json
Response
Recipient updated
Example:
200
Example:
"Recipient updated"
Available options:
SUCCESS, ERROR Example:
"SUCCESS"
Successful responses share the standard envelope. The shape of data for this endpoint is not yet captured in this specification — see the note on the API reference overview.
Show child attributes
Show child attributes
Example:
[]